# class KEditToolbarWidget | A widget used to customize or configure toolbars. More...
Definition | `#include <kedittoolbar.h>`
Inherits | KXMLGUIClient [virtual public ], QWidget (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KEditToolbarWidget (KActionCollection *collection, const QString& file = QString::null, bool global = true, QWidget *parent = 0L)
- KEditToolbarWidget (KXMLGUIFactory* factory, QWidget *parent = 0L)
- virtual ~KEditToolbarWidget ()
- virtual KActionCollection * actionCollection () const
- bool save ()

#### Signals

- void enableOk (bool)

#### Protected Methods

- void setupLayout ()
- void loadToolbarCombo ()
- void loadActionList (QDomElement& elem)
- void updateLocal (QDomElement& elem)

#### Protected Slots

- void slotToolbarSelected (const QString& text)
- void slotInactiveSelected (QListViewItem *item)
- void slotActiveSelected (QListViewItem *item)
- void slotInsertButton ()
- void slotRemoveButton ()
- void slotUpButton ()
- void slotDownButton ()

## Detailed Description

This is a widget used to customize or configure toolbars

This is the widget that does all of the work for the KEditToolbar dialog. In most cases, you will want to use the dialog instead of this widget directly.

Typically, you would use this widget only if you wanted to embed the toolbar editing directly into your existing configure or preferences dialog.

This widget only works if your application uses the XML UI framework for creating menus and toolbars. It depends on the XML files to describe the toolbar layouts and it requires the actions to determine which buttons are active.

KEditToolbarWidget (KActionCollection *collection, const QString& file = QString::null, bool global = true, QWidget *parent = 0L) | ### KEditToolbarWidget

Constructor. This is the only entry point to this class. You `must` pass along your collection of actions (some of which appear in your toolbars). The other three parameters are optional.

The second parameter, xmlfile, is the name (absolute or relative) of your application's UI resource file. If it is left blank, then the resource file: share/apps/appname/appnameui.rc is used. This is the same resource file that is used by the default createGUI function in KMainWindow so you're usually pretty safe in leaving it blank.

The third parameter, global, controls whether or not the global resource file is used. If this is true, then you may edit all of the actions in your toolbars -- global ones and local one. If it is false, then you may edit only your application's entries. The only time you should set this to false is if your application does not use the global resource file at all (very rare)

The last parameter, parent, is the standard parent stuff.

Parameters:

collection | The collection of actions to work on
xmlfile | The application's local resource file
global | If true, then the global resource file will also be parsed
parent | This widget's parent

KEditToolbarWidget (KXMLGUIFactory* factory, QWidget *parent = 0L) | ### KEditToolbarWidget

Constructor for KParts based apps.

The first parameter, factory, is a pointer to the XML GUI factory object for your application. It contains a list of all of the GUI clients (along with the action collections and xml files) and the toolbar editor uses that.

The second parameter, parent, is the standard parent

Use this like so:

     KEditToolbar edit(factory());
     if ( edit.exec() )
     ...

Parameters:

factory | Your application's factory object
parent | This widget's parent

~KEditToolbarWidget () | ### ~KEditToolbarWidget

[virtual]

Destructor. Note that any changes done in this widget will `NOT` be saved in the destructor. You `must` call save() to do that.

KActionCollection * actionCollection () | ### actionCollection

[const virtual]

This is overriden so that the KXMLGUIClient internal functions have the proper action collections to deal with. You shouldn't have to do anything with this as it was your collection in the first place.

Returns: Your application's collection of actions

Reimplemented from KXMLGUIClient.

bool save () | ### save

Save any changes the user made. The file will be in the user's local directory (usually $HOME/.kde/share/apps/<appname>). The filename will be the one specified in the constructor.. or the made up one if the filename was NULL.

Returns: The status of whether or not the save succeeded.

void enableOk (bool) | ### enableOk

[signal]

Emitted whenever any modifications are made by the user.

void slotToolbarSelected (const QString& text) | ### slotToolbarSelected

[protected slots slot]

void slotInactiveSelected (QListViewItem *item) | ### slotInactiveSelected

[protected slots slot]

void slotActiveSelected (QListViewItem *item) | ### slotActiveSelected

[protected slots slot]

void slotInsertButton () | ### slotInsertButton

[protected slots slot]

void slotRemoveButton () | ### slotRemoveButton

[protected slots slot]

void slotUpButton () | ### slotUpButton

[protected slots slot]

void slotDownButton () | ### slotDownButton

[protected slots slot]

void setupLayout () | ### setupLayout

[protected]

void loadToolbarCombo () | ### loadToolbarCombo

[protected]

void loadActionList (QDomElement& elem) | ### loadActionList

[protected]

void updateLocal (QDomElement& elem) | ### updateLocal

[protected]

- Author: Kurt Granroth <granroth@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.